<?php
/**
 * @package SjCore
 * @subpackage Elements
 * @version 1.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined('_JEXEC') or die;

class SjVmCategories extends JFormField{
	public function getInput(){
		$vm = $this->com_virtuemart_installed();
		if (isset($vm['table_exist']) && isset($vm['language_table'])){
			// co the coi la da cai com_virtuemart
			$html[] = $this->html_select($vm);
		} else {
			// chua cai com_virtuemart
			$html[] = JText::_('NO_COM_VIRTUEMART_INSTALLED');
		}
		return implode("\n", $html);
	}

	protected function html_select($vm){
		$db =& JFactory::getDBO();
		$sql = "
		SELECT
		c.virtuemart_category_id AS id,
		vmlang.category_name AS title,
		cx.category_parent_id AS parent
		FROM " . $vm['language_table'] . " AS vmlang
		JOIN #__virtuemart_categories AS c USING (virtuemart_category_id)
		LEFT JOIN #__virtuemart_category_categories AS cx ON cx.category_child_id=vmlang.virtuemart_category_id
		ORDER BY c.ordering
		";
		$db->setQuery($sql);
		$categories = $db->loadObjectList();

		$list = array();
		$select_all = isset($this->element['selectall']) && $this->element['selectall']=='true';
		$is_multiple = isset($this->element['multiple']) && $this->element['multiple']=='multiple';
		if (!$is_multiple && $select_all){
			$root = new stdClass();
			$root->id = 0;
			$root->title = JText::_('All Categories');
			$root->parent = -1;
			$list[0] = $root;
		}

		// render category tree for selection
		foreach ($categories as $c) {
			$list[$c->id] = $c;
		}

		foreach ($list as $cid => $c){
			if (isset($list[$c->parent])){
				if (!isset($list[$c->parent]->child)){
					$list[$c->parent]->child = array();
				}
				$list[$c->parent]->child[] =& $list[$cid];
			}
		}

		$options = array();
		foreach($list as $cid => $c){
			if (!isset($list[$c->parent])){
				$list[$cid]->level=1;
				$stack = array($list[$cid]);
				while( count($stack)>0 ){
					$opt = array_pop($stack);
					$option = array(
							'label' => ($opt->level>1 ? str_repeat('- ', $opt->level-1) : '') . $opt->title,
							'value' => $opt->id
					);
					array_push($options, $option);
					if (isset($opt->child) && count($opt->child)){
						foreach($opt->child as $child){
							$child->level = $opt->level + 1;
							array_push($stack, $child);
						}
					}
				}
			}
		}

		$html = "";
		if (count($options)>0){
			if (!is_array($this->value)){
				$this->value = array($this->value);
			}
			$select_attr = "";
			if (isset($this->element['multiple'])){
				$select_attr .= " multiple=\"multiple\"";
				$size = min(count($options), 15);
				$select_attr .= " size=\"$size\"";
			}
			if (isset($this->element['css'])){
				$select_attr .= ' class="' . trim($this->element['css']) . '"';;
			} else {
				$select_attr .= ' class="inputbox"';;
			}
			$html = "<select $select_attr  style=\"min-width: 180px;\" id=\"{$this->id}\" name=\"{$this->name}\">";
			foreach ($options as $opt){
				$selected = in_array($opt['value'], $this->value) ? 'selected="selected"' : '';
				$html .= '<option value="' . $opt['value'] . '" ' . $selected . '>' . $opt['label'] . '</option>';
			}
			$html .= '<select>';
		} else {
			$html = JText::_('NO_COM_VIRTUEMART_CATEGORY');
		}else {echo JText::_('Categories null');}
		return $html;
	}

	protected function com_virtuemart_installed(){
		$db = &JFactory::getDbo();
		$prefix = $db->getPrefix();
		$tables = $db->getTableList();
		$res = array();
		foreach ($tables as $table){
			if (strpos($table, $prefix.'virtuemart_categories')!==false){
				$suffix = str_replace($prefix.'virtuemart_categories', '', $table);
				if ($suffix == ''){
					$res['table_exist'] = true;
				} else {
					$res['language_table'] = $table;
				}
			}
		}
		return $res;
	}

}

class JFormFieldSjVmCategories extends SjVmCategories{
}