<?php
/**
 * @package Sj K2 SlideShow Pro
 * @version 2.5
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 * 
 */
defined('_JEXEC') or die;

if (!class_exists('K2SlideShowProReader')){
	class K2SlideShowProReader extends SjReader{
		public function getList(&$params){
			
			$list =array();
			$items=array();
				
			if (!isset($params['source']) || empty($params['source'])){
				$this->errors = "No selected or all selected is unpublished.";
				return array();
			}
				
			$items = $this->k2->getCategoryItems($params['source'], $params);
				
			if(!empty($items)) {
				$arrcustom_url	= array();
				$arrcustom_url 	= $this->_getCustomUrl($params['custom_url']);
				
				require_once JPATH_SITE.'/components/com_k2/helpers/route.php';
				
				foreach($items as $key => $item){
					$temp = array();
					
					$item->images = $this->k2->itemImages($item);
					
					// //remove images
					$hide_images	= preg_split('/[\s|,]/', $params['hide_images'], -1, PREG_SPLIT_NO_EMPTY);
					
					if (!empty($hide_images)){
						foreach( $item->images as $key=>$value ){
							$file_name_image	= substr($value,strrpos($value,'/')+1);
							if ( in_array($file_name_image,$hide_images) || !file_exists($value) ){
								unset($item->images[$key]);
							}
						}
					}
					
					// final check image exists
					if ( !isset($item->image) && count($item->images) ){
						foreach($item->images as $image){
							if (!isset($item->image) || (!YTools::isUrl($image) && !file_exists($image))){
								$item->image = $image;
								break; // exit foreach
							}
						}
					}
					
					if (empty($item->images)){
						$item->images[0]	= 'modules/'.Ytools::getModule()->module . '/assets/images/nophoto.png';
					}
					
					if ( !isset($item->image) ){
						$item->image = 'modules/'.Ytools::getModule()->module . '/assets/images/nophoto.png';
					}
					
					$temp['id'] 		= $item->id;
					$temp['title'] 		= $item->title;
					$temp['image'] 		= $item->image;
					$temp['images'] 	= $item->images;
					
					if(array_key_exists($item->id, $arrcustom_url)){
						$temp['link'] = $arrcustom_url[$item->id];
					}else{
						$this->k2->getItemUrl($item);
						$temp['link'] = $item->url;
					}
					

					if ((int)$params['keep_html'] == 0){
						$temp['desc'] = strip_tags($item->description);
					} else {
						$temp['desc'] = ($item->description);
					}
					

					$list[] = $temp;
				}
			}
			return $list;
		}
		
		private function _getCustomUrl($custom_url) {
			$arrUrl = array();
			$tmp = explode("\n", trim($custom_url));
			foreach( $tmp as $strTmp){
				$pos = strpos($strTmp, ":");
				if($pos >=0){
					$tmpKey = substr($strTmp, 0, $pos);
					$key = trim($tmpKey);
					$tmpLink = substr($strTmp, $pos+1, strlen($strTmp)-$pos);
					$haveHttp =  strpos(trim($tmpLink), "http://");
					if($haveHttp<0 || ($haveHttp !== false) ){
						$link = trim($tmpLink);
					}else{
						$link = "http://" . trim($tmpLink);
					}
					$arrUrl[$key] = $link;
				}
			}
			return $arrUrl;
		}
	}
}
